gntblist.h File Reference
Finch (GNT User Interface)

GNT BuddyList API. More...

`#include "blist.h"`
`#include "gnttree.h"`

Go to the source code of this file.

## Data Structures

struct | FinchBlistManager
| Buddylist manager for finch. More...

## Functions

PurpleBlistUiOps * | finch_blist_get_ui_ops (void)
| Get the ui-functions. More...
void | finch_blist_init (void)
| Perform necessary initializations.
void | finch_blist_uninit (void)
| Perform necessary uninitializations.
void | finch_blist_show (void)
| Show the buddy list.
gboolean | finch_blist_get_position (int *x, int *y)
| Get the position of the buddy list. More...
void | finch_blist_set_position (int x, int y)
| Set the position of the buddy list. More...
gboolean | finch_blist_get_size (int *width, int *height)
| Get the size of the buddy list. More...
void | finch_blist_set_size (int width, int height)
| Set the size of the buddy list. More...
gpointer | finch_retrieve_user_info (PurpleConnection *conn, const char *name)
| Get information about a user. More...
GntTree * | finch_blist_get_tree (void)
| Get the tree list of the buddy list. More...
void | finch_blist_install_manager (const FinchBlistManager *manager)
| Add an alternate buddy list manager. More...
void | finch_blist_uninstall_manager (const FinchBlistManager *manager)
| Remove an alternate buddy list manager. More...
FinchBlistManager * | finch_blist_manager_find (const char *id)
| Find a buddy list manager. More...
void | finch_blist_manager_add_node (PurpleBlistNode *node)
| Request the active buddy list manager to add a node. More...

## Detailed Description

GNT BuddyList API.

Definition in file gntblist.h.

## Function Documentation

gboolean finch_blist_get_position | ( | int * | x,
|  | int * | y
| ) |  |

Get the position of the buddy list.

Parameters

  x | The x-coordinate is set here if not @ NULL.
  y | The y-coordinate is set here if not `NULL`.

Returns
  Returns `TRUE` if the values were set, `FALSE` otherwise.

gboolean finch_blist_get_size | ( | int * | width,
|  | int * | height
| ) |  |

Get the size of the buddy list.

Parameters

  width | The width is set here if not @ NULL.
  height | The height is set here if not `NULL`.

Returns
  Returns `TRUE` if the values were set, `FALSE` otherwise.

GntTree* finch_blist_get_tree | ( | void |  | ) |

Get the tree list of the buddy list.

Returns
  The GntTree widget.

Since
  2.4.0

PurpleBlistUiOps* finch_blist_get_ui_ops | ( | void |  | ) |

Get the ui-functions.

Returns
  The PurpleBlistUiOps structure populated with the appropriate functions.

void finch_blist_install_manager | ( | const FinchBlistManager * | manager | ) |

Add an alternate buddy list manager.

Parameters

  manager | The alternate buddylist manager.

Since
  2.4.0

void finch_blist_manager_add_node | ( | PurpleBlistNode * | node | ) |

Request the active buddy list manager to add a node.

Parameters

  node | The node to add

Since
  2.4.0

FinchBlistManager* finch_blist_manager_find | ( | const char * | id | ) |

Find a buddy list manager.

Parameters

  id | The identifier for the desired buddy list manager.

Returns
  The manager with the requested identifier, if available. `NULL` otherwise.

Since
  2.4.0

void finch_blist_set_position | ( | int | x,
|  | int | y
| ) |  |

Set the position of the buddy list.

Parameters

  x | The x-coordinate of the buddy list.
  y | The y-coordinate of the buddy list.

void finch_blist_set_size | ( | int | width,
|  | int | height
| ) |  |

Set the size of the buddy list.

Parameters

  width | The width of the buddy list.
  height | The height of the buddy list.

void finch_blist_uninstall_manager | ( | const FinchBlistManager * | manager | ) |

Remove an alternate buddy list manager.

Parameters

  manager | The buddy list manager to remove.

Since
  2.4.0

gpointer finch_retrieve_user_info | ( | PurpleConnection * | conn,
|  | const char * | name
| ) |  |

Get information about a user.

Show immediate feedback.

Parameters

  conn | The connection to get information fro
  name | The user to get information about.

Returns
  Returns the ui-handle for the userinfo notification.

Since
  2.1.0